Bug 2507 - SQL: Implement complementary EXTRACT functionality
Summary: SQL: Implement complementary EXTRACT functionality
Status: NEW
Alias: None
Product: SQL
Classification: Unclassified
Component: all (show other bugs)
Version: -- development
Hardware: x86 (i?86) Linux
: --- enhancement
Assignee: SQL devs
URL: http://sourceforge.net/support/tracke...
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-05 02:05 CEST by Stefan de Konink
Modified: 2016-04-11 11:46 CEST (History)
1 user (show)



Attachments
UNIX_TIMESTAMP SQL function to convert a timestamp into an epoch (151 bytes, text/plain)
2014-07-16 11:09 CEST, Dennis Pallett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan de Konink 2009-10-05 14:05:52 CEST
PostgreSQL implements a nice number of extract features that can be used as DATEPART. We don't have these functions yet so it could be useful to implement them. (I'll volunteer)

http://www.postgresql.org/docs/7.4/static/functions-datetime.html (section 9.8.1)
Comment 1 Fabian Groffen 2009-12-01 09:52:55 CET
This seems like a useful addition to the codebase to me
Comment 2 Fabian Groffen 2009-12-01 11:13:59 CET
we should at least implement EPOCH (1752627)
Comment 3 Pseudo user for Sourceforge import 2010-05-04 09:32:09 CEST
This bug was previously known as tracker item 2872897 at http://sourceforge.net/support/tracker.php?aid=2872897

The original assignee of this bug does not have
   an account here. Reassigning to the default assignee
   for the component, bugs-sql@monetdb.org.
   Previous assignee was nobody@users.sourceforge.net.

Comment 4 Fabian Groffen 2010-10-28 15:44:28 CEST
I'm affraid we won't make the EPOCH implementation for Oct2010
Comment 5 Sjoerd Mullender cwiconfidential 2011-07-29 11:00:03 CEST
Apr2011-SP2 has been released.
Comment 6 Sjoerd Mullender cwiconfidential 2011-09-16 15:10:37 CEST
The Aug2011 version has been released.
Comment 7 Sjoerd Mullender cwiconfidential 2012-08-24 14:55:55 CEST
Jul2012-SP1 has been released.
Comment 8 Dennis Pallett 2014-07-16 11:09:05 CEST
Created attachment 290 [details]
UNIX_TIMESTAMP SQL function to convert a timestamp into an epoch
Comment 9 Dennis Pallett 2014-07-16 11:10:36 CEST
I would also like to have this included into a future release of MonetDB. At the moment I'm using a simple SQL function that converts a timestamp into an EPOCH timestamp but it'd be better if it's properly implemented as part of the EXTRACT function.